%define gitname mgaadvisories

Name:           mga-advisories
Version:        0.33
Release:        %mkrel 1
Summary:        Tool to generate Mageia advisories pages and emails
Group:          Text tools
License:        CC0
URL:            https://advisories.mageia.org/
Source0:        https://gitweb.mageia.org/software/infrastructure/mgaadvisories/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:      noarch

Requires:       perl(Template::Plugin::JSON)
Requires:       perl-Module-Pluggable

%description
Tool to generate Mageia advisories emails and pages on
https://advisories.mageia.org/

%prep
%autosetup -n %{gitname}-%{version}

%build

%install
%make_install perldir=%{perl_vendorlib}

%files
%doc README COPYING NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/mgaadv
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/config
%{_datadir}/%{name}/tmpl
%{_datadir}/%{name}/static
%{perl_vendorlib}/MGA/Advisories.pm


%changelog
* Fri Apr 25 2025 danf <danf> 0.33-1.mga10
+ Revision: 2178655
- Version 0.33
- show a hint if an SRPM can't be found in non-core
- include source=arch in the JSON purl parameter
- remove a couple of unneeded spaces in vulns.json
- don't always reset a "modified" value in the status file

* Tue Feb 18 2025 danf <danf> 0.32-1.mga10
+ Revision: 2149323
- Version 0.32
- loading all advisories is much faster on multicore machines
- sort fields in templated output for consistency
- template: change default CVE year to 2025
- template: fix encoding i18n text in JSON advisories

* Fri Oct 25 2024 danf <danf> 0.31-1.mga10
+ Revision: 2111204
- Version 0.31
- ensure .adv file ends with newline when publishing
- show how to get the OSV format advisories on the infos page

* Tue Apr 16 2024 danf <danf> 0.30-1.mga10
+ Revision: 2058046
- Version 0.30
- try to fix publish-all
- include a last modified date in advisories

* Sat Apr 06 2024 danf <danf> 0.29-1.mga10
+ Revision: 2055038
- Version 0.29
- install the new JSON templates

* Fri Apr 05 2024 danf <danf> 0.28-1.mga10
+ Revision: 2054998
- Version 0.28
- template: change default CVE year to 2024
- use https: links where possible
- add 'showjson' command to output an advisory in OSV JSON format
- have 'mksite' write JSON output files as well
- 'mksite' now runs twice as fast
- cross-check that at least one SRPM is listed in the advisory on publish
- make tar now compresses the file

* Sun Jul 02 2023 tmb <tmb> 0.27-1.mga9
+ Revision: 1963506
- template: change default dist and dist-suffix for Mageia 9
- template: change default CVE year to 2023

* Mon Mar 21 2022 umeabot <umeabot> 0.26-2.mga9
+ Revision: 1813863
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 tmb <tmb> 0.26-1.mga8
+ Revision: 1671833
- Report the broken file rather than exploding when an advisory is invalid
- template: change default dist and dist-suffix for Mageia 8
- template: change default CVE year to 2021

* Sat Feb 15 2020 umeabot <umeabot> 0.25-2.mga8
+ Revision: 1526489
- Mageia 8 Mass Rebuild

* Mon May 20 2019 tmb <tmb> 0.25-1.mga7
+ Revision: 1398661
- template: change default dist and dist-suffix for Mageia 7
- template: change default CVE year to 2019

* Thu Sep 20 2018 umeabot <umeabot> 0.24-2.mga7
+ Revision: 1279513
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 akien <akien> 0.24-1.mga7
+ Revision: 1156393
- Version 0.24

* Sat Jun 18 2016 pterjan <pterjan> 0.23-3.mga6
+ Revision: 1022158
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.23-2.mga6
+ Revision: 969964
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 akien <akien> 0.23-1.mga6
+ Revision: 884204
- Version 0.23

* Sun Sep 27 2015 akien <akien> 0.22-2.mga6
+ Revision: 884196
- s/mga4/mga5/ in the default template

* Sun Sep 27 2015 akien <akien> 0.22-1.mga6
+ Revision: 884190
- Version 0.22

* Sun Nov 30 2014 akien <akien> 0.21-1.mga5
+ Revision: 800067
- Version 0.21

* Tue Nov 25 2014 colin <colin> 0.20-1.mga5
+ Revision: 798912
- New version: 0.20

* Wed Oct 15 2014 umeabot <umeabot> 0.19-3.mga5
+ Revision: 740549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19-2.mga5
+ Revision: 682374
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 colin <colin> 0.19-1.mga5
+ Revision: 662175
- New version: 0.19

* Wed Aug 06 2014 colin <colin> 0.18-1.mga5
+ Revision: 660096
- New version: 0.18

* Sun Aug 03 2014 colin <colin> 0.17-1.mga5
+ Revision: 659481
- New version: 0.17

* Mon Mar 03 2014 tmb <tmb> 0.16-3.mga5
+ Revision: 599217
- fix perl warnings (mga#12890)
- fix template for mga4 (12891)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ boklm <boklm>
- Version 0.16
- Version 0.15

* Sun Jul 21 2013 boklm <boklm> 0.14-1.mga4
+ Revision: 456852
- Version 0.14

* Sun Jul 21 2013 boklm <boklm> 0.13-1.mga4
+ Revision: 456837
- Version 0.13

* Fri Jul 12 2013 boklm <boklm> 0.12-1.mga4
+ Revision: 453442
- Version 0.12
- Version 0.11
- Version 0.10

* Mon Jun 17 2013 boklm <boklm> 0.9-1.mga4
+ Revision: 444208
- Version 0.9
- Version 0.8

* Mon Jun 17 2013 boklm <boklm> 0.7-1.mga4
+ Revision: 444093
- Version 0.7

* Thu Jun 13 2013 boklm <boklm> 0.6-1.mga4
+ Revision: 442914
- Version 0.6

* Thu Jun 13 2013 boklm <boklm> 0.5-1.mga4
+ Revision: 442907
- Version 0.5
- Version 0.4
- Version 0.3
- Version 0.2
- imported package mga-advisories

